--- CMakeLists.txt.orig	2014-02-14 16:55:38.894647998 +0400
+++ CMakeLists.txt	2014-02-14 16:56:14.017651059 +0400
@@ -134,15 +134,15 @@
 	endif()
 endif()
 
-## find tinyxml.  If not found we use the version distributed with the aqsis
-## source.
-#if(AQSIS_USE_EXTERNAL_TINYXML)
-#	find_package(TinyXML)
-#	if(NOT TINYXML_FOUND)
-#		message("** Cannot find external tinyxml library - using version included with the aqsis source.")
-#		set(AQSIS_USE_EXTERNAL_TINYXML OFF)
-#	endif()
-#endif()
+# find tinyxml.  If not found we use the version distributed with the aqsis
+# source.
+if(AQSIS_USE_EXTERNAL_TINYXML)
+	find_package(TinyXML)
+	if(NOT AQSIS_TINYXML_FOUND)
+		message("** Cannot find external tinyxml library - using version included with the aqsis source.")
+		set(AQSIS_USE_EXTERNAL_TINYXML OFF)
+	endif()
+endif()
 
 
 #-------------------------------------------------------------------------------
@@ -274,7 +274,9 @@
 )
 
 # Thirdparty libs
-declare_subproject(thirdparty/tinyxml)
+if(NOT AQSIS_USE_EXTERNAL_TINYXML)
+	declare_subproject(thirdparty/tinyxml)
+endif()
 declare_subproject(thirdparty/partio)
 declare_subproject(libs/pointrender)
 if(AQSIS_USE_PDIFF)
--- tools/piqsl/CMakeLists.txt.orig	2014-02-16 11:18:43.308699170 +0400
+++ tools/piqsl/CMakeLists.txt	2014-02-16 11:18:52.620699981 +0400
@@ -5,8 +5,6 @@
     message(FATAL_ERROR "Piqsl requires boost thread and Qt4 to build")
 endif()
 
-include_subproject(tinyxml)
-
 set(piqsl_hdrs
     displayserverimage.h
     image.h
--- tools/displays/piqsl/CMakeLists.txt.orig	2014-02-16 11:21:25.820713332 +0400
+++ tools/displays/piqsl/CMakeLists.txt	2014-02-16 11:21:34.676714104 +0400
@@ -1,5 +1,4 @@
 include_subproject(dspyutil)
-include_subproject(tinyxml)
 
 aqsis_add_display(piqsl piqsldisplay.cpp ${dspyutil_srcs}
 	${tinyxml_srcs} ${tinyxml_hdrs}
